#58 mounting of webdav drive fails

closed-works-for-me
nobody
5
2006-10-04
2006-08-13
No

issueing the command:
mount -t davfs
https://webdavserver/zidestore/so/sebastia /home/sebastia/zidestore

fails with the following error:
/sbin/mount.davfs: Connection failed, mounting
anyway. File system will only be usable when
connection comes up.

before the error message appears, mount.davfs is
asking for username and password. It also asks me
about to accept the certificate, as it is only self
signed.

the drive is accessible in konqueror via
webdavs://webdavserver/zidestore/so/sebastia

also when I use the old 0.2.8 version, the drive is
mountable.

there seems to be someone else with the same problem
with GMX:
http://www.archivum.info/debian-user-german%40lists.debian.org/2006-07/msg01681.html

I am on SuSE 9.3.
Linux ops 2.6.16.20-smp #1 SMP PREEMPT Thu Jun 15
19:49:19 CEST 2006 i686 i686 i386 GNU/Linux

compiled from source.

Discussion

  • Werner Baumann

    Werner Baumann - 2006-08-13

    Logged In: YES
    user_id=1260327

    Hello Sebastian,

    could you please configure davfs2 with option
    "--enable-debug". mount.davfs will write a lot of debug
    messages into your log files then (propably /var/log/syslog
    and /var/log/debug) that could help to track down the
    problem when you send them to me. There should be some lines
    containig "PROPFIND" showing the requested path as well as
    the error code from the server.

    What source did you use: package davfs2-1.0.2.tar.gz or the
    sources from CVS?

    Greetings
    Werner

     
  • Sebastian Reitenbach

    Logged In: YES
    user_id=59448

    Hi Werner,

    thanks for looking into it:

    I use the package davfs2-1.0.2.tar.gz
    recompiled with --enable-debug
    here /var/log/messages on the client side:
    Aug 13 11:50:15 ops mount.davfs: The server certificate
    does not match the server name.
    Aug 13 11:50:15 ops mount.davfs: issuer: Headquarter,
    L00 bugdead prods., Bunker Hill, Planet Earth, GU
    Aug 13 11:50:15 ops mount.davfs: subject: Headquarter,
    L00 bugdead prods., Bunker Hill, Planet Earth, GU
    Aug 13 11:50:15 ops mount.davfs: Accepted by user.
    Aug 13 11:50:15 ops kernel: coda_read_super: device index:
    0
    Aug 13 11:50:15 ops kernel: coda_read_super: rootfid is
    (01234567.ffffffff.08066898.00000000)
    Aug 13 11:50:15 ops kernel: coda_read_super: rootinode
    is -412015257 dev coda

    here the webdav server output:

    Aug 13 11:50:15 ogo-zidestore-1.5
    [26349]: -[WEClientCapabilities initWithRequest:]: Unknown
    WebClient: user-agent='davfs2/1.0.2 neon/0.24.7'
    Aug 13 11:50:15 ogo-zidestore-1.5 [26349]: |
    ogo-zidestore-1| lookup name: sebastia
    Aug 13 11:50:15 ogo-zidestore-1.5 [26349]: |
    ogo-zidestore-1| did not find key 'sebastia' in SoClass:
    <0x0x8b667c44[SoObjCClass]: super=0x0x8860a404
    objc=ZideStore slots=GET>
    Aug 13 11:50:15 ogo-zidestore-1.5 [26349]: |
    ogo-zidestore-1| looked up value:
    Aug 13 11:50:15 ogo-zidestore-1.5 [26349]: |
    ogo-zidestore-1| lookup in root object:
    Aug 13 11:50:15 ogo-zidestore-1.5 [26349]: |
    ogo-zidestore-1| root is application object
    Aug 13 11:50:15 ogo-zidestore-1.5 [26349]: |
    ogo-zidestore-1| GOT:
    Aug 13 11:50:15 ogo-zidestore-1.5 [26349]: [ERROR]
    <0x0x87dc67c4[WOHttpAdaptor]> http server caught:
    (Exception name:NSFileHandleOperationException
    class:NSFileHandleUnknownTypeException reason:NSFileHandle
    object has no associated type <NSConcreteFileHandle
    0x87dc6d44> info:{
    NSFileHandle = <NSConcreteFileHandle 0x87dc6d44>;
    })
    Aug 13 11:50:15 ogo-zidestore-1.5 [26349]: <0x0x826b6004
    [WOContext]> sleep 0 components ...
    Aug 13 11:50:15 ogo-zidestore-1.5 [26349]: <0x0x826b6004
    [WOContext]> done sleep 0 components.
    Aug 13 11:50:15 ogo-zidestore-1.5
    [26349]: -[WEClientCapabilities initWithRequest:]: Unknown
    WebClient: user-agent='davfs2/1.0.2 neon/0.24.7'
    Aug 13 11:50:15 ogo-zidestore-1.5 [26349]: |
    ogo-zidestore-1| lookup name: sebastia
    Aug 13 11:50:15 ogo-zidestore-1.5 [26349]: |
    ogo-zidestore-1| did not find key 'sebastia' in SoClass:
    <0x0x8b667c44[SoObjCClass]: super=0x0x8860a404
    objc=ZideStore slots=GET>
    Aug 13 11:50:15 ogo-zidestore-1.5 [26349]: |
    ogo-zidestore-1| looked up value:
    Aug 13 11:50:15 ogo-zidestore-1.5 [26349]: |
    ogo-zidestore-1| lookup in root object:
    Aug 13 11:50:15 ogo-zidestore-1.5 [26349]: |
    ogo-zidestore-1| root is application object
    Aug 13 11:50:15 ogo-zidestore-1.5 [26349]: |
    ogo-zidestore-1| GOT:
    Aug 13 11:50:15 ogo-zidestore-1.5 [26349]:
    [object-datasource] using base-url:
    https://communicator.ds9:443/zidestore/so/sebastia/
    Aug 13 11:50:15 ogo-zidestore-1.5 [26349]: [ERROR]
    <0x0x87dc67c4[WOHttpAdaptor]> http server caught:
    (Exception name:NSFileHandleOperationException
    class:NSFileHandleUnknownTypeException reason:NSFileHandle
    object has no associated type <NSConcreteFileHandle
    0x87dc6d44> info:{
    NSFileHandle = <NSConcreteFileHandle 0x87dc6d44>;
    })
    Aug 13 11:50:15 ogo-zidestore-1.5 [26349]: <0x0x826b6204
    [WOContext]> sleep 0 components ...
    Aug 13 11:50:15 ogo-zidestore-1.5 [26349]: <0x0x826b6204
    [WOContext]> done sleep 0 components.

     
  • Sebastian Reitenbach

    Logged In: YES
    user_id=59448

    after mounting, the filesystem is mounted but in the
    zidestore folder is only an empty dav-local-backup folder.

     
  • Nobody/Anonymous

    Logged In: NO

    the tries where I only mounted the empty directory was with
    OGo trunk version as the webdav server, and with the above
    mentioned kernel.

    with kernel:
    Linux it001 2.6.11.4-21.13-smp #1 SMP Mon Jul 17 09:21:59
    UTC 2006 i686 i686 i386 GNU/Linux
    and OGo 1.1.5 I can see the filesystem structure very well.

    my other reported bug applies here as well, contacts are
    not stored in 1234556.vcf files but in Lastname, Firstname
    and the files are 0 byte in length.

     
  • Sebastian Reitenbach

    Logged In: YES
    user_id=59448

    installed latest available kernel from kernel org:
    2.6.17.8, but still the empty mounted directory
    Linux ops 2.6.17.8-smp #1 SMP Mon Aug 14 22:15:29 CEST
    2006 i686 i686 i386 GNU/Linux

    here the client /var/log/messages and /var/log/warn while
    mounting the drive:
    ==> messages <==
    Aug 15 07:04:09 ops mount.davfs: Parsing command line.
    Aug 15 07:04:09 ops mount.davfs: /sbin/mount.davfs
    https://communicator.ds9:443/zidestore/so/sebastia /home/sebastia/zidestore -o
    rw,noexec,nosuid,nodev,user
    Aug 15 07:04:09 ops mount.davfs: Arguments after parsing
    command line:
    Aug 15 07:04:09 ops mount.davfs: dav_group = 100
    Aug 15 07:04:09 ops mount.davfs: conf =
    ~/.davfs2/davfs2.conf
    Aug 15 07:04:09 ops mount.davfs: mpoint
    = /home/sebastia/zidestore
    Aug 15 07:04:09 ops mount.davfs: user = 1
    Aug 15 07:04:09 ops mount.davfs: mopts = 0xc0ed000e
    Aug 15 07:04:09 ops mount.davfs: uid = 500
    Aug 15 07:04:09 ops mount.davfs: gid = 100
    Aug 15 07:04:09 ops mount.davfs: dir_umask = 0
    Aug 15 07:04:09 ops mount.davfs: file_umask = 0
    Aug 15 07:04:09 ops mount.davfs: dir_mode = 0
    Aug 15 07:04:09 ops mount.davfs: file_mode = 0
    Aug 15 07:04:09 ops mount.davfs: url =
    https://communicator.ds9:443/zidestore/so/sebastia
    Aug 15 07:04:09 ops mount.davfs: secrets =
    ~/.davfs2/secrets
    Aug 15 07:04:09 ops mount.davfs: p_host = (null)
    Aug 15 07:04:09 ops mount.davfs: p_port = 8080
    Aug 15 07:04:09 ops mount.davfs: useproxy = 1
    Aug 15 07:04:09 ops mount.davfs: askauth = 1
    Aug 15 07:04:09 ops mount.davfs: locks = 1
    Aug 15 07:04:09 ops mount.davfs: read_timeout = 30 s
    Aug 15 07:04:09 ops mount.davfs: sys_cache
    = /var/cache/davfs2
    Aug 15 07:04:09 ops mount.davfs: cache_dir =
    ~/.davfs2/cache
    Aug 15 07:04:09 ops mount.davfs: cache_size = 50 Byte
    Aug 15 07:04:09 ops mount.davfs: table_size = 1024
    Aug 15 07:04:09 ops mount.davfs: idle_time = 10 s
    Aug 15 07:04:09 ops mount.davfs: expire = 300 s
    Aug 15 07:04:09 ops mount.davfs: retry = 30 s
    Aug 15 07:04:09 ops mount.davfs: max_retry = 300 s
    Aug 15 07:04:09 ops mount.davfs: Checking for setuid.
    Aug 15 07:04:09 ops mount.davfs: Checking mount point.
    Aug 15 07:04:09 ops mount.davfs: Parsing configuration
    files.
    Aug 15 07:04:09 ops mount.davfs: Reading config from
    Aug 15 07:04:09 ops
    mount.davfs: /usr/local/etc/davfs2/davfs2.conf.
    Aug 15 07:04:09 ops mount.davfs: Reading config from
    Aug 15 07:04:09 ops
    mount.davfs: /home/sebastia/.davfs2/davfs2.conf.
    Aug 15 07:04:09 ops mount.davfs: Arguments after parsing
    config files:
    Aug 15 07:04:09 ops mount.davfs: dav_group = 100
    Aug 15 07:04:09 ops mount.davfs: conf
    = /home/sebastia/.davfs2/davfs2.conf
    Aug 15 07:04:09 ops mount.davfs: mpoint
    = /home/sebastia/zidestore
    Aug 15 07:04:09 ops mount.davfs: user = 1
    Aug 15 07:04:09 ops mount.davfs: mopts = 0xc0ed000e
    Aug 15 07:04:09 ops mount.davfs: uid = 500
    Aug 15 07:04:09 ops mount.davfs: gid = 100
    Aug 15 07:04:09 ops mount.davfs: dir_umask = 06000
    Aug 15 07:04:09 ops mount.davfs: file_umask = 06111
    Aug 15 07:04:09 ops mount.davfs: dir_mode = 0755
    Aug 15 07:04:09 ops mount.davfs: file_mode = 0644
    Aug 15 07:04:09 ops mount.davfs: url =
    https://communicator.ds9:443/zidestore/so/sebastia
    Aug 15 07:04:09 ops mount.davfs: secrets
    = /home/sebastia/.davfs2/secrets
    Aug 15 07:04:09 ops mount.davfs: p_host = (null)
    Aug 15 07:04:09 ops mount.davfs: p_port = 8080
    Aug 15 07:04:09 ops mount.davfs: useproxy = 0
    Aug 15 07:04:09 ops mount.davfs: askauth = 1
    Aug 15 07:04:09 ops mount.davfs: locks = 1
    Aug 15 07:04:09 ops mount.davfs: read_timeout = 30 s
    Aug 15 07:04:09 ops mount.davfs: sys_cache
    = /var/cache/davfs2
    Aug 15 07:04:09 ops mount.davfs: cache_dir
    = /home/sebastia/.davfs2/cache
    Aug 15 07:04:09 ops mount.davfs: cache_size = 50 Byte
    Aug 15 07:04:09 ops mount.davfs: table_size = 1024
    Aug 15 07:04:09 ops mount.davfs: idle_time = 10 s
    Aug 15 07:04:09 ops mount.davfs: expire = 300 s
    Aug 15 07:04:09 ops mount.davfs: retry = 30 s
    Aug 15 07:04:09 ops mount.davfs: max_retry = 300 s
    Aug 15 07:04:09 ops mount.davfs: Parsing secrets files.
    Aug 15 07:04:09 ops mount.davfs: Reading secrets from
    Aug 15 07:04:09 ops
    mount.davfs: /usr/local/etc/davfs2/secrets.
    Aug 15 07:04:09 ops mount.davfs: Reading secrets from
    Aug 15 07:04:09 ops
    mount.davfs: /home/sebastia/.davfs2/secrets.
    Aug 15 07:04:25 ops mount.davfs: Checking permissions.
    Aug 15 07:04:25 ops mount.davfs: Checking uid.
    Aug 15 07:04:25 ops mount.davfs: Checking gid.
    Aug 15 07:04:25 ops mount.davfs: Checking membership in
    dav_group.
    Aug 15 07:04:25 ops mount.davfs: Checking directories.
    Aug 15 07:04:25 ops mount.davfs: Checking for double
    mounts.
    Aug 15 07:04:25 ops mount.davfs: Initialize
    WebDAV-session.
    Aug 15 07:04:25 ops mount.davfs: Initialize Cache.
    Aug 15 07:04:25 ops mount.davfs: Alignment of dav_node:
    8
    Aug 15 07:04:25 ops mount.davfs: Checking cache
    directory.
    Aug 15 07:04:25 ops mount.davfs: New node:
    (nil)->0x8069c10
    Aug 15 07:04:25 ops mount.davfs: Reading stored cache
    data.
    Aug 15 07:04:25 ops mount.davfs: New node:
    0x8069c10->0x8072b30
    Aug 15 07:04:25 ops mount.davfs:
    PROPFIND /zidestore/so/sebastia/
    Aug 15 07:04:27 ops mount.davfs: The server certificate
    does not match the server name.
    Aug 15 07:04:27 ops mount.davfs: issuer: Headquarter,
    L00 bugdead prods., Bunker Hill, Planet Earth, GU
    Aug 15 07:04:27 ops mount.davfs: subject: Headquarter,
    L00 bugdead prods., Bunker Hill, Planet Earth, GU
    Aug 15 07:04:27 ops mount.davfs: Accepted by user.
    Aug 15 07:04:28 ops mount.davfs: Neon wants
    creditentials for OpenGroupware.org.

    ==> warn <==
    Aug 15 07:04:27 ops mount.davfs: The server certificate
    does not match the server name.
    Aug 15 07:04:27 ops mount.davfs: issuer: Headquarter,
    L00 bugdead prods., Bunker Hill, Planet Earth, GU
    Aug 15 07:04:27 ops mount.davfs: subject: Headquarter,
    L00 bugdead prods., Bunker Hill, Planet Earth, GU
    Aug 15 07:04:27 ops mount.davfs: Accepted by user.

    ==> messages <==
    Aug 15 07:04:28 ops mount.davfs: PROPFIND: 207
    Multi-Status
    Aug 15 07:04:28 ops mount.davfs: Directory updated:
    (nil)->0x8069c10
    Aug 15 07:04:28 ops mount.davfs: root
    Aug 15 07:04:28 ops mount.davfs: Initialize Coda kernel
    interface.
    Aug 15 07:04:28 ops kernel: Coda Kernel/Venus
    communications, v6.0.0, coda@cs.cmu.edu
    Aug 15 07:04:28 ops mount.davfs: Coda version 3.
    Aug 15 07:04:28 ops mount.davfs: Checking for stale
    pid-file.
    Aug 15 07:04:28 ops mount.davfs: Fork into daemon mode;
    parent will mount.
    Aug 15 07:04:28 ops mount.davfs: Set signal handler.
    Aug 15 07:04:28 ops mount.davfs: Releasing root
    privileges.
    Aug 15 07:04:28 ops mount.davfs: Starting message loop.
    Aug 15 07:04:28 ops mount.davfs: Parent: Parent pid:
    17794, child pid: 17871
    Aug 15 07:04:28 ops mount.davfs: Parent: Mounting
    filesystem.
    Aug 15 07:04:28 ops kernel: coda_read_super: device index:
    0
    Aug 15 07:04:28 ops mount.davfs: CODA_ROOT:
    Aug 15 07:04:28 ops mount.davfs: return: OK
    Aug 15 07:04:28 ops kernel: coda_read_super: rootfid is
    (01234567.ffffffff.08069c10.00000000)
    Aug 15 07:04:28 ops mount.davfs: CODA_GETATTR:
    Aug 15 07:04:28 ops mount.davfs: n 0x8069c10
    Aug 15 07:04:28 ops mount.davfs: root
    Aug 15 07:04:28 ops mount.davfs: return: OK
    Aug 15 07:04:28 ops mount.davfs: Parent: Writing mtab
    entry.
    Aug 15 07:04:28 ops mount.davfs: Parent: leaving now.
    Aug 15 07:04:28 ops kernel: coda_read_super: rootinode
    is -459078297 dev coda

    ==> warn <==
    Aug 15 07:04:28 ops kernel: coda_read_super: rootfid is
    (01234567.ffffffff.08069c10.00000000)
    Aug 15 07:04:28 ops kernel: coda_read_super: rootinode
    is -459078297 dev coda

    here the output from the zidestore server:
    Aug 15 07:04:27 ogo-zidestore-1.5 [19385]: Note: storing
    cached vCards files in: '/var/ogo/docs'
    Aug 15 07:04:27 ogo-zidestore-1.5 [19385]:
    account::change-password: using password
    field: 'userPassword'
    Aug 15 07:04:27 ogo-zidestore-1.5 [19385]: Note: members
    of role team 'team creators' are allowed to create teams.
    Aug 15 07:04:27 ogo-zidestore-1.5
    [19385]: -[WEClientCapabilities initWithRequest:]: Unknown
    WebClient: user-agent='davfs2/1.0.2 neon/0.24.7'
    Aug 15 07:04:27 ogo-zidestore-1.5 [19385]: |
    ogo-zidestore-1| lookup name: sebastia
    Aug 15 07:04:27 ogo-zidestore-1.5 [19385]: Note(SoObject):
    SoDebugKeyLookup is enabled!
    Aug 15 07:04:27 ogo-zidestore-1.5 [19385]: Note(SoObject):
    SoDebugBaseURL is enabled!
    Aug 15 07:04:27 ogo-zidestore-1.5 [19385]: |
    ogo-zidestore-1| did not find key 'sebastia' in SoClass:
    <0x0x82251ca4[SoObjCClass]: super=0x0x7d878424
    objc=ZideStore slots=GET>
    Aug 15 07:04:27 ogo-zidestore-1.5 [19385]: |
    ogo-zidestore-1| looked up value:
    Aug 15 07:04:27 ogo-zidestore-1.5 [19385]: |
    ogo-zidestore-1| lookup in root object:
    Aug 15 07:04:27 ogo-zidestore-1.5 [19385]: |
    ogo-zidestore-1| root is application object
    Aug 15 07:04:27 ogo-zidestore-1.5 [19385]: |
    ogo-zidestore-1| GOT:
    Aug 15 07:04:27 ogo-zidestore-1.5 [19385]: |
    ogo-zidestore-1| ERROR: cannot fetch logins, no cmdctx!
    10.4.0.9 - - [15/Aug/2006:07:04:27
    GMT] "PROPFIND /zidestore/so/sebastia/ HTTP/1.1" 401 0/299
    0.686 - - -
    Aug 15 07:04:27 ogo-zidestore-1.5 [19385]: <0x0x8386ec04
    [WOContext]> sleep 0 components ...
    Aug 15 07:04:27 ogo-zidestore-1.5 [19385]: <0x0x8386ec04
    [WOContext]> done sleep 0 components.
    Aug 15 07:04:28 ogo-zidestore-1.5 [19385]: <0x0x20ee6740
    [LSCommandContext]> +[LSCommandContext(LDAPSupport)
    isLDAPLoginAuthorized:password:]: LDAP
    server '127.0.0.1:389' did authenticate user 'sebastia'
    Aug 15 07:04:28 ogo-zidestore-1.5
    [19385]: -[WEClientCapabilities initWithRequest:]: Unknown
    WebClient: user-agent='davfs2/1.0.2 neon/0.24.7'
    Aug 15 07:04:28 ogo-zidestore-1.5 [19385]: |
    ogo-zidestore-1| lookup name: sebastia
    Aug 15 07:04:28 ogo-zidestore-1.5 [19385]: |
    ogo-zidestore-1| did not find key 'sebastia' in SoClass:
    <0x0x82251ca4[SoObjCClass]: super=0x0x7d878424
    objc=ZideStore slots=GET>
    Aug 15 07:04:28 ogo-zidestore-1.5 [19385]: |
    ogo-zidestore-1| looked up value:
    Aug 15 07:04:28 ogo-zidestore-1.5 [19385]: |
    ogo-zidestore-1| lookup in root object:
    Aug 15 07:04:28 ogo-zidestore-1.5 [19385]: |
    ogo-zidestore-1| root is application object
    Aug 15 07:04:28 ogo-zidestore-1.5 [19385]: |
    ogo-zidestore-1| GOT:
    Aug 15 07:04:28 ogo-zidestore-1.5 [19385]: <0x0x20ee6740
    [LSCommandContext]> +[LSCommandContext(LDAPSupport)
    isLDAPLoginAuthorized:password:]: LDAP
    server '127.0.0.1:389' did authenticate user 'sebastia'
    Aug 15 07:04:28 ogo-zidestore-1.5 [19385]: <0x0x20ee6740
    [LSCommandContext]> +[LSCommandContext(LDAPSupport)
    isLDAPLoginAuthorized:password:]: LDAP
    server '127.0.0.1:389' did authenticate user 'sebastia'
    Aug 15 07:04:28 ogo-zidestore-1.5 [19385]:
    [object-datasource] using base-url:
    https://communicator.ds9:443/zidestore/so/sebastia/
    10.4.0.9 - - [15/Aug/2006:07:04:28
    GMT] "PROPFIND /zidestore/so/sebastia/ HTTP/1.1" 207
    5385/299 0.909 - - -
    Aug 15 07:04:28 ogo-zidestore-1.5 [19385]: <0x0x8386ea04
    [WOContext]> sleep 0 components ...
    Aug 15 07:04:28 ogo-zidestore-1.5 [19385]: <0x0x8386ea04
    [WOContext]> done sleep 0 components.

    the line in /etc/fstab:
    https://communicator.ds9:443/zidestore/so/sebastia /home/sebastia/zidestore
    davfs rw,user,nodev,nosuid,noexec 0 0

    output of mount command:
    https://communicator.ds9:443/zidestore/so/sebastia
    on /home/sebastia/zidestore type coda (user=sebastia)

    doing a ls /home/sebastia/zidestore

    client /var/log/messages /var/log/warn:

    Aug 15 07:13:34 ops mount.davfs: CODA_OPEN_BY_FD:
    Aug 15 07:13:34 ops mount.davfs: n 0x8069c10, f 1
    Aug 15 07:13:34 ops mount.davfs: root
    Aug 15 07:13:34 ops mount.davfs: return: OK
    Aug 15 07:13:34 ops mount.davfs: CODA_RELEASE:
    Aug 15 07:13:34 ops mount.davfs: n 0x8069c10, f 1
    Aug 15 07:13:34 ops mount.davfs: root
    Aug 15 07:13:34 ops mount.davfs: return: 0

    zidelook server:

    Aug 15 07:12:57 ogo-zidestore-1.5
    [19385]: -[WEClientCapabilities initWithRequest:]: Unknown
    WebClient: user-agent='davfs2/1.0.2 neon/0.24.7'
    Aug 15 07:12:57 ogo-zidestore-1.5 [19385]: |
    ogo-zidestore-1| lookup name: sebastia
    Aug 15 07:12:57 ogo-zidestore-1.5 [19385]: |
    ogo-zidestore-1| did not find key 'sebastia' in SoClass:
    <0x0x82251ca4[SoObjCClass]: super=0x0x7d878424
    objc=ZideStore slots=GET>
    Aug 15 07:12:57 ogo-zidestore-1.5 [19385]: |
    ogo-zidestore-1| looked up value:
    Aug 15 07:12:57 ogo-zidestore-1.5 [19385]: |
    ogo-zidestore-1| lookup in root object:
    Aug 15 07:12:57 ogo-zidestore-1.5 [19385]: |
    ogo-zidestore-1| root is application object
    Aug 15 07:12:57 ogo-zidestore-1.5 [19385]: |
    ogo-zidestore-1| GOT:
    Aug 15 07:12:57 ogo-zidestore-1.5 [19385]:
    [object-datasource] using base-url:
    https://communicator.ds9:443/zidestore/so/sebastia/
    10.4.0.9 - - [15/Aug/2006:07:12:57
    GMT] "PROPFIND /zidestore/so/sebastia/ HTTP/1.1" 207
    5385/299 0.222 - - -
    Aug 15 07:12:57 ogo-zidestore-1.5 [19385]: <0x0x8386e204
    [WOContext]> sleep 0 components ...
    Aug 15 07:12:57 ogo-zidestore-1.5 [19385]: <0x0x8386e204
    [WOContext]> done sleep 0 components.

     
  • Sebastian Reitenbach

    Logged In: YES
    user_id=59448

    this is working with an opengroupware-1.1.5 alpha release,
    but not with a trunk release. need to check that.

     
  • Werner Baumann

    Werner Baumann - 2006-08-17

    Logged In: YES
    user_id=1260327

    Hello Sebastian,

    the problem is that davfs2 does not understand the response
    of the server to a PROPFIND request.

    As I understand, opengroupware servers do not standard
    WebDAV, but added some extensions to the protocol. But I
    could not get a clear picture from their web site.

    It really would be helful to have the xml-body of the server
    response to see why davfs2 does not understand it and
    whether davfs2 could be changed to understand it.

    Do you know of any public test servers?

    Greetings
    Werner

     
  • Sebastian Reitenbach

    Logged In: YES
    user_id=59448

    Hi,

    I could send you an account to my test server, where can I
    send it to?

    appended are some server logs while mounting the drive
    with 1.0.2 and 0.2.8. 0.2.8 mounts it, 1.0.2 fails.

     
  • Sebastian Reitenbach

    Logged In: YES
    user_id=59448

    just tried to mount with davfs-1.1.1 and it works well.
    mounting opengroupware-1.1.5 and latest trunk versions.

    thanks a lot.

    Sebastian

     
  • Sebastian Reitenbach

    • status: open --> closed-works-for-me
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks